Download Charger Diagnostics File
GET
/tenant/{tenantId}/charger/{chargerId}/diagnostics/download
const url = 'https://api.exolink.cloud/tenant/example/charger/1/diagnostics/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/charger/1/diagnostics/download \ --header 'Authorization: Bearer <token>'A short-lived presigned URL of the charger’s diagnostics file.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string
Tenant domain prefix
chargerId
required
integer
Responses
Section titled “Responses”Presigned download URL
Media typeapplication/json
object
downloadUrl
Presigned URL of the diagnostics file
string
expiresIn
Validity of the URL in seconds
integer
fileName
string
Example
{ "expiresIn": 300}Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}